package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 配网工程队伍施工小组信息对象 pdm_construct_team
 * 
 * @author ruoyi
 * @date 2025-01-20
 */
public class PdmConstructTeam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    private String countyOrgNm;

    /** 施工队伍编号 */
    @Excel(name = "施工队伍编号")
    private String teamNo;

    /** 队伍名称 */
    @Excel(name = "队伍名称")
    private String teamNm;

    /** 法人 */
    @Excel(name = "法人")
    private String legalPerson;

    /** 法人联系电话号码 */
    @Excel(name = "法人联系电话号码")
    private String legalContactPhone;

    /** 施工小组序号 */
    @Excel(name = "施工小组序号")
    private String teamSerialNo;

    /** 施工小组负责人 */
    @Excel(name = "施工小组负责人")
    private String teamLeader;

    /** 施工小组负责人电话号码 */
    @Excel(name = "施工小组负责人电话号码")
    private String teamLeaderPhone;

    /** 施工小组作业车牌号 */

    private List<String> construcCarNumber;

    /** 驻点位置 */
    @Excel(name = "驻点位置")
    private String arrestPoint;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTeamNo(String teamNo) 
    {
        this.teamNo = teamNo;
    }

    public String getTeamNo() 
    {
        return teamNo;
    }
    public void setTeamNm(String teamNm) 
    {
        this.teamNm = teamNm;
    }

    public String getTeamNm() 
    {
        return teamNm;
    }
    public void setLegalPerson(String legalPerson) 
    {
        this.legalPerson = legalPerson;
    }

    public String getLegalPerson() 
    {
        return legalPerson;
    }
    public void setLegalContactPhone(String legalContactPhone) 
    {
        this.legalContactPhone = legalContactPhone;
    }

    public String getLegalContactPhone() 
    {
        return legalContactPhone;
    }
    public void setTeamSerialNo(String teamSerialNo)
    {
        this.teamSerialNo = teamSerialNo;
    }

    public String getTeamSerialNo()
    {
        return teamSerialNo;
    }
    public void setTeamLeader(String teamLeader) 
    {
        this.teamLeader = teamLeader;
    }

    public String getTeamLeader() 
    {
        return teamLeader;
    }
    public void setTeamLeaderPhone(String teamLeaderPhone) 
    {
        this.teamLeaderPhone = teamLeaderPhone;
    }

    public String getTeamLeaderPhone() 
    {
        return teamLeaderPhone;
    }
    public void setConstrucCarNumber(List<String> construcCarNumber)
    {
        this.construcCarNumber = construcCarNumber;
    }

    public List<String> getConstrucCarNumber()
    {
        return construcCarNumber;
    }
    public void setArrestPoint(String arrestPoint) 
    {
        this.arrestPoint = arrestPoint;
    }

    public String getArrestPoint() 
    {
        return arrestPoint;
    }

    public String getCountyOrgNm() {
        return countyOrgNm;
    }

    public void setCountyOrgNm(String countyOrgNm) {
        this.countyOrgNm = countyOrgNm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("teamNo", getTeamNo())
            .append("teamNm", getTeamNm())
            .append("legalPerson", getLegalPerson())
            .append("legalContactPhone", getLegalContactPhone())
            .append("teamSerialNo", getTeamSerialNo())
            .append("teamLeader", getTeamLeader())
            .append("teamLeaderPhone", getTeamLeaderPhone())
            .append("construcCarNumber", getConstrucCarNumber())
            .append("arrestPoint", getArrestPoint())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
